clang 10.0.0git

Public Member Functions | List of all members
clang::Parser::ObjCTypeParamListScope Class Reference

Class to handle popping type parameters when leaving the scope. More...

## Public Member Functions
| ObjCTypeParamListScope (Sema &Actions, Scope *S)
| ~ObjCTypeParamListScope ()
void | enter (ObjCTypeParamList *P)
void | leave ()

## Detailed Description

Class to handle popping type parameters when leaving the scope.

Definition at line 97 of file ParseObjc.cpp.

## Constructor & Destructor Documentation

## ◆ ObjCTypeParamListScope()

clang::Parser::ObjCTypeParamListScope::ObjCTypeParamListScope | ( | Sema & | Actions,
|  | Scope * | S
| ) |  |
| inline

Definition at line 103 of file ParseObjc.cpp.

## ◆ ~ObjCTypeParamListScope()

clang::Parser::ObjCTypeParamListScope::~ObjCTypeParamListScope | ( |  | ) |
| inline

Definition at line 106 of file ParseObjc.cpp.

## Member Function Documentation

## ◆ enter()

void clang::Parser::ObjCTypeParamListScope::enter | ( | ObjCTypeParamList * | P | ) |
| inline

Definition at line 110 of file ParseObjc.cpp.

References P.

## ◆ leave()

void clang::Parser::ObjCTypeParamListScope::leave | ( |  | ) |
| inline

Definition at line 115 of file ParseObjc.cpp.

References clang::BalancedDelimiterTracker::consumeClose(), clang::BalancedDelimiterTracker::consumeOpen(), clang::Parser::ConsumeToken(), clang::FixItHint::CreateInsertion(), clang::Parser::Diag(), clang::comments::tok::eof, clang::Decl::getBeginLoc(), clang::BalancedDelimiterTracker::getCloseLocation(), clang::Parser::getCurScope(), clang::Parser::getLangOpts(), clang::format::FormatToken::is(), clang::SourceLocation::isInvalid(), clang::format::FormatToken::isNot(), clang::format::FormatToken::isObjCAtKeyword(), clang::SourceLocation::isValid(), clang::ObjC, clang::Sema::OCK_None, clang::Sema::popObjCTypeParamList(), clang::Parser::SkipUntil(), and clang::Parser::TryConsumeToken().

The documentation for this class was generated from the following file:

- lib/Parse/ParseObjc.cpp